Subject: Looking for a program_II

From: FyD <[email-masked]>
Date: Fri, 20 Dec 2002 19:18:43 +0100 (CET)

Dear Edward Berry, Dear All,

> How do you want to specify the 'modification of orientation'
> in a non-graphical program? If you can specify a rotation
> matrix or rotation angle about an axis defined
> by direction cosines, or a series of rotations about
> principal axes, then this is a very simple program.
> pdbset  (CCP4) or moleman (USF) do this and much more,
> and are free to academic users. Otherwise they meet
> your criteria.

I get a lot of answers with graphical rotation controls using the mouse: I 
think I have to explain how I "would like/need" to control the orientation of 
my structure: I am NOT interested in controlling the orientation of my 
structures using the mouse, i.e. I am NOT interested in a graphical control but 
I would like to control the orientation using for instance atom names (in a 
script):
- I would like first to put the center of mass at 0, 0, 0
- Then, select 2 atom names "A", "B" to define the O -> x axis and a third 
one, "C" to define the plane o, x, y. Then, apply the rotation as previously 
defined and save the structure to 'a' format.
- I would also be interested in any other non-graphical reorientation 
procedure. The idea is simply to have 'a' control of the structure orientation.

I also forgot to tell you that I need to load an input structure at a format 
allowing at least 4 digits after the decimal points and obviously to save the 
ouput reoriented structure with these same 4 digits. It means PDB format can be 
used but the saved structure must be writen with these 4 digits. Another 
solution are the sybyl or xyz formats.

Thanks, regards, Francois